<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.finance.mapper.OrderDetailMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="orderDetailResultMap" type="org.springblade.modules.finance.entity.OrderDetail">
        <result column="id" property="id"/>
        <result column="is_delete" property="isDelete"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="update_time" property="updateTime"/>
        <result column="order_id" property="orderId"/>
        <result column="province" property="province"/>
        <result column="city" property="city"/>
        <result column="district" property="district"/>
        <result column="street" property="street"/>
        <result column="address" property="address"/>
        <result column="logistics_company" property="logisticsCompany"/>
        <result column="logistic_no" property="logisticNo"/>
        <result column="logistics_company_no" property="logisticsCompanyNo"/>
        <result column="remark" property="remark"/>
        <result column="settlement_account" property="settlementAccount"/>
    </resultMap>


    <select id="selectOrderDetailPage" resultMap="orderDetailResultMap">
        select * from biz_order_detail where is_deleted = 0
    </select>

</mapper>
